Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037094
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2017-10-18 09:412018-01-03 12:38
ReporterJONHMView Statuspublic 
Assigned Tocollazoandy4 
PrioritynormalResolutionfixedFixed in Version3.0PR18Q1
StatusclosedFix in branchFixed in SCM revision4a2987ed7feb
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037094: Description field is not successfully updated by 'Match Statement' process

DescriptionDescription field is not successfully updated by 'Match Statement' process. If we edit 'description' field into "Add new transaction" p&e window, the changes are not updated
Steps To Reproduce1) Open 'Financial Account' window and select "Bank - Account 1" record
2) Switch to [Imported Bank Statements] tab and create a new record with default fields and name "test"
3) Then, switch to [Bank Statement Lines] subtab and create a new record:
 - Transaction date: Tomorrow
 - Reference no: 111
 - Business Partner: Be Soft Drinker, Inc.
 - Amount IN: 1000
4) Press button "Process" and then press button "Match Statement"
5) Add a new transaction to that record ("+" button)
6) Select a new payment (or create a new one "+" button) and then add text to the description (see attached image)
7) Press "DONE"

-> If you check the Payment's 'description' related to that record in [Transaction] tab, you will check its description is not successfully updated.
Proposed SolutionIf you check the line 174 of AddTransactionActionHandler class, the description is not being checked properly:
https://code.openbravo.com/erp/devel/pi/file/8d578e0e9bbd/modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/actionHandler/AddTransactionActionHandler.java#l174 [^]

It could be something like:
description = StringUtils.isNotBlank(payment.getDescription()) ? strDescription : "";
TagsNo tags attached.
Attached Filespng file icon Screenshot from 2017-10-18 09-23-00.png [^] (102,229 bytes) 2017-10-18 09:41

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0100292)
collazoandy4 (developer)
2017-11-06 21:41

Test Plan I
  As F&B Group Admin Role
    Go to Financial Account window and select 'Bank - Account 1' record
      Create a new record in Imported Bank Statements tab and create a new record:
        Name: Test
        Transaction date: Tomorrow
        Create a new record in Bank Statement Lines:
          Reference No.: 1234
          Business Partner: Be Soft Drinker, Inc.
          Amount In: 1000
      Click on Process Button and check process ends sucessfull
      Clic on Match Statement button and add a new transaction to the record (+ button)
      Select a new payment (or create a new one "+" button) and add text to the description field. For instance 'Issue Transaction Description'
      Press Done
      Check in Transaction tab that the new transaction created the description field was successfully updated.

Test Plan II
  Repeat the same steps above but instance of add text to the description field set a new one.

Test Plan III
  Repeat the last tests plan using a payment with an empty description.
(0100372)
hgbot (developer)
2017-11-09 10:46

Repository: erp/devel/pi
Changeset: 4a2987ed7feb60675c9f87ae99f7091727ea768f
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Mon Nov 06 15:49:43 2017 -0500
URL: http://code.openbravo.com/erp/devel/pi/rev/4a2987ed7feb60675c9f87ae99f7091727ea768f [^]

Fixes issue 37094:Description field is not successfully updated by 'Match
Statement' process

When using a payment in the Match Statement process the description of the
transaction only takes into account the payment description, skipping the user
input value.

Now the new transaction created in the process uses the value of the description
field of the Add New Transaction Popup

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/actionHandler/AddTransactionActionHandler.java
---
(0100373)
hgbot (developer)
2017-11-09 10:46

Repository: erp/devel/pi
Changeset: 430d8de0bee8fdd99d08c75f5c86b62a5dc2478c
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Wed Nov 08 09:41:57 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/430d8de0bee8fdd99d08c75f5c86b62a5dc2478c [^]

Related to Issue 37094. If the description field is empty,
set the description of the related payment if it's any and it's
description is not empty too.

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/actionHandler/AddTransactionActionHandler.java
---
(0100374)
dmiguelez (developer)
2017-11-09 10:46

Code Review + Testing OK
(0101388)
hudsonbot (developer)
2018-01-03 12:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c81e0d3cbab5 [^]
Maturity status: Test
(0101389)
hudsonbot (developer)
2018-01-03 12:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c81e0d3cbab5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-10-18 09:41 JONHM New Issue
2017-10-18 09:41 JONHM Assigned To => platform
2017-10-18 09:41 JONHM File Added: Screenshot from 2017-10-18 09-23-00.png
2017-10-18 09:41 JONHM Modules => Core
2017-10-18 09:41 JONHM Triggers an Emergency Pack => No
2017-10-18 09:51 JONHM Steps to Reproduce Updated View Revisions
2017-10-18 11:23 Practics Issue Monitored: Practics
2017-10-18 14:33 alostale Assigned To platform => Triage Finance
2017-11-06 21:26 collazoandy4 Assigned To Triage Finance => collazoandy4
2017-11-06 21:27 collazoandy4 Status new => scheduled
2017-11-06 21:41 collazoandy4 Note Added: 0100292
2017-11-09 10:46 hgbot Checkin
2017-11-09 10:46 hgbot Note Added: 0100372
2017-11-09 10:46 hgbot Status scheduled => resolved
2017-11-09 10:46 hgbot Resolution open => fixed
2017-11-09 10:46 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/4a2987ed7feb60675c9f87ae99f7091727ea768f [^]
2017-11-09 10:46 hgbot Checkin
2017-11-09 10:46 hgbot Note Added: 0100373
2017-11-09 10:46 dmiguelez Review Assigned To => dmiguelez
2017-11-09 10:46 dmiguelez Note Added: 0100374
2017-11-09 10:46 dmiguelez Status resolved => closed
2017-11-09 10:46 dmiguelez Fixed in Version => 3.0PR18Q1
2018-01-03 12:38 hudsonbot Checkin
2018-01-03 12:38 hudsonbot Note Added: 0101388
2018-01-03 12:38 hudsonbot Checkin
2018-01-03 12:38 hudsonbot Note Added: 0101389


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker